<?xml version="1.0" encoding="iso-8859-1"?>
<set>
<url>http://c.actiondesk.com/?s=YOUR_ID&amp;p=21&amp;pp=1&amp;g=7337</url>
<modelname>Atlanta Moreno</modelname>
<setname>Yeehaw !</setname>
<hair>RED HAIR</hair>
<categories>Big Boobs, Costume, Cowgirl, Dancing Skill, Flexible, Naked Feet, Piercing, Pole Dance Skills, Skirts, Tattoos, Trimmed</categories>
<country>UNITED KINGDOM</country>
<city>Leeds</city>
<type>Latina</type>
<age>29</age>
<height>5.41</height>
<weight>119</weight>
<bio>Hi, I\'m Atlanta Moreno, a fiery English vixen born 28 years ago.

I\'ve been perfecting my craft since 2018, and my journey is far from over. When I\'m not basking in the spotlight, you can catch me flipping and twisting on the gymnastics mat - it\'s a passion that\'s been a part of me since childhood. 

I took home a 9th place finish at the Gymnastics World Championship at just 9 years old, and it\'s moments like those that remind me of my strength and resilience. 

As for what gets me going, there\'s nothing quite like the rush of posing in front of the camera - it\'s my happy place.
My hips are my favorite feature, but I\'m confident in all my curves. 
To my amazing fans, I just want to say thank you for your unwavering support - it means everything to me.</bio>
<stats>32/26/35</stats>
</set>